package socketclients

import (
	"clickandjoin.app/websocketserver/modules/cache"
	"clickandjoin.app/websocketserver/modules/structs"
	"github.com/gofiber/websocket/v2"
)

func BroadcastMessage(message []byte) {
	for _, client := range cache.SocketClients {
		client.Conn.WriteMessage(websocket.TextMessage, message)
	}
}

func IsReceiverConnectedToThisServer(recId string) (isConnected bool, socketClient *structs.SocketClient) {
	for id, client := range cache.SocketClients {
		if id == recId {
			return true, client
		}
	}

	return false, socketClient
}
